cmake_minimum_required(VERSION 3.0)

project(domo-iot)

set (CMAKE_MODULE_PATH "${MODULE_PATH}")
set (CMAKE_CXX_STANDARD 11)

include_directories(${CMAKE_SOURCE_DIR}/../nats.c/src)
include_directories(${CMAKE_SOURCE_DIR}/../libuv/include)
include_directories(${CMAKE_SOURCE_DIR}/build/libwebsockets/include)
include_directories(${CMAKE_SOURCE_DIR}/src)

#set(CMAKE_CXX_FLAGS "-Wall -Wextra -pedantic -Werror=strict-aliasing")

file(
	GLOB_RECURSE
	source_files
	main.c
)

add_executable (domo-iot ${source_files})

target_link_libraries (domo-iot 
	LINK_PUBLIC
	nats_static
	websockets
	uv_a
	rt
)

install (TARGETS domo-iot DESTINATION local/bin)
